> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Branch

> Create a new branch



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/branches/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/branches/:
    post:
      tags:
        - Branches
      summary: Create Branch
      description: Create a new branch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: The tenant ID this branch belongs to
                name:
                  type: string
                  minLength: 3
                  description: Branch name
                timezone:
                  type: string
                  minLength: 3
                  description: IANA timezone identifier
                default:
                  description: Set as default branch (1 = yes, 0 = no)
                  anyOf:
                    - type: number
                      enum:
                        - 1
                    - type: number
                      enum:
                        - 0
              required:
                - tenantId
                - name
                - timezone
              additionalProperties: false
      responses:
        '200':
          description: Created branch
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Branch ID
                  name:
                    type: string
                    description: Branch name
                  default:
                    type: number
                    description: Whether this is the default branch (1 = yes, 0 = no)
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: IANA timezone identifier
                  tenant:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                            description: Tenant ID
                          name:
                            type: string
                            description: Tenant name
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                    description: Parent tenant
                required:
                  - id
                  - name
                  - default
                  - timezone
                  - tenant
                additionalProperties: false
        '400':
          description: Validation error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                  - validationErrors
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````